#app {

  // GENERAL
  .v-col-sm-4 {
    padding: 8px 12px;
  }

  // TYPOGRAPHY
  .text-h1 {
    font-size: 1.25rem !important;
    line-height: 1.25rem;
    font-weight: bold;
  }

  // TABS
  .v-tabs {
    width: auto;
    flex: none;

    .v-tab-item {
      letter-spacing: normal;
      text-transform: none;
      font-size: 1rem;
      color: $color-black;

      &--selected {
        font-weight: bold;
      }
    }

    .v-icon {
      color: $color-black;
      margin-right: 5px;
    }

    &-slider-wrapper {
      overflow: hidden;
      padding: 0 20px;

      .v-tabs-slider {
        border-radius: 6px;
      }
    }

    &-items,
    &-bar {
      background-color: transparent;

      &.v-window {
        overflow: visible;
      }
    }
  }

  // BUTTONS
  .v-btn {
    text-transform: none;
    transition: 0.3s all;
    letter-spacing: normal;
  }

  a.v-btn,
  button.v-btn {
    color: $color-black;

    &:before {
      background: none;
    }

    &.inverted {
      background-color: $color-black;
      color: $color-white !important;
    }

    &.flashy {
      background-color: $color-white;
      box-shadow: $shadow-uniform;

      &.active {
        background-color: $color-secondary;
        color: $color-white;
      }
    }

    &.action {
      background-color: #eeefef;
    }

    &:hover {
      opacity: 0.5;

      &.flashy {
        opacity: 1;
        background-color: $color-secondary;
        color: $color-white;
      }
    }

    &--disabled {
      &.inverted {
        opacity: 0.2;
        color: $color-white;

        .v-icon {
          color: currentColor;
        }
      }
    }

    &--tile {
      border-radius: 5px;
    }

    &--fab {
      .v-size--x-small {
        width: 24px;
        height: 24px;

        $icon-size: 16px;

        .v-icon {
          height: $icon-size;
          width: $icon-size;
          line-height: $icon-size;
          font-size: $icon-size;
        }
      }

      &.flashy {
        color: $grey-classic;
      }
    }
  }

  // BUTTONS TOGGLE
  .v-btn-toggle {
    background-color: $color-white;
    border-radius: 50px;

    .v-btn {
      background: transparent;
      border: none;
      border-radius: inherit;
      height: 36px;

      &:before {
        background-color: transparent;
      }
    }

    &.text-primary .v-btn--active {
      background: $color-primary;
      color: $color-black;
    }

    &.text-secondary .v-btn--active {
      background: $color-secondary;
      color: $color-white;
    }

    &:not(.single-button) {
      padding: 3px;
      border: 1px solid $color-black;

      &>.v-btn:not(:last-child) {
        margin-right: 5px;
      }

      .v-btn--active {
        box-shadow: $shadow-uniform;
      }
    }

    &.single-button {
      .v-btn {
        box-shadow: $shadow-uniform;
      }
    }
  }

  // FORMS
  .v-input {
    font-size: 0.9rem;

    .v-label {
      line-height: 18px;
      font-size: 0.9rem;
    }

    &.search-input {
      max-width: 400px;
      background: $color-white;

      .v-input__slot {
        box-shadow: $shadow-uniform;
        margin-bottom: 0;
      }

      .v-input__details,
      .v-field__outline {
        display: none;
      }

      fieldset {
        border: none;
      }
    }

    &.hide-details {
      .v-text-field__details {
        display: none;
      }
    }

    &.v-select {
      .v-select__selection {
        line-height: 22px;
      }

      &.v-select--is-multi .v-select__selections>.v-chip {
        margin-top: 5px;
      }
    }
  }

  // TABLE
  .v-data-table.airvam-table {
    background-color: transparent;

    $table-border-radius: 15px;
    $border: 1px solid $grey-ultra-light;

    table {
      border-spacing: 0 10px;

      tr th,
      tr td {
        font-weight: 400;
        color: $color-black;
        border: none;

        border-top: $border;
        border-bottom: $border;

        &:first-child {
          border-bottom-left-radius: $table-border-radius;
          border-top-left-radius: $table-border-radius;
          border-left: $border;
        }

        &:last-child:not(.sticky-right) {
          border-bottom-right-radius: $table-border-radius;
          border-top-right-radius: $table-border-radius;
          border-right: $border;
        }
      }

      tr.warning td:not(.sticky-right),
      tr.warning td.sticky-right>div {
        background-color: $color-warning-light;
      }

      .sticky-right {
        position: sticky;
        right: 0;
        padding: 0;
        border-top: none;
        border-bottom: none;

        &>div,
        &>span {
          border-top: $border;
          border-bottom: $border;
          border-bottom-right-radius: $table-border-radius;
          border-top-right-radius: $table-border-radius;
          border-right: $border;
          width: 100%;
          height: 100%;
          padding: 0 16px;
        }

        &>span {
          display: block;
        }
      }
    }

    thead {
      text-transform: uppercase;
      border-radius: 50px;

      tr th {
        height: 20px;
      }

      th {
        background-color: $blue-ultra-light;
        box-shadow: none;
        white-space: nowrap;

        .v-icon.mdi-arrow-up::before {
          content: "\F0143";
        }

        &.sticky-right {
          background-color: $color-white;

          &>span {
            background-color: $blue-ultra-light;
          }
        }
      }

      &__sort-badge {
        background-color: $color-primary;
        font-size: 0.6rem;
        font-weight: bold;
        border-radius: 7.5px;
        min-height: 15px;
        height: 15px;
        padding: 0 10px;
        min-width: auto;
        width: auto;
      }
    }

    tbody tr {
      box-shadow: none;
      position: relative;
      background: transparent;

      td {
        background-color: $color-white;
        transition: background-color 0.2s;
        height: 70px;

        .cell-warning {
          width: 100%;
          height: 100%;
          display: flex;
          align-items: center;
          background-color: $color-warning-light;
          border-radius: 5px;
        }

        .v-btn--icon,
        .v-data-table__expand-icon {
          color: $grey-classic;
        }

        &.v-data-table__td--expanded-row button {
          background-color: #eeefef;
          width: 32px;
          height: 32px;
          border-radius: 50%;

          &:hover {
            opacity: 0.5;
          }

          &::after {
            transform: none;
          }
        }
      }

      &.hide-expand {
        .v-data-table__expand-icon {
          display: none;
        }
      }

      &:hover:not(.v-data-table__expanded__content),
      &.v-data-table__expanded__row {
        td {
          background-color: #fbfbfb;
        }
      }

      &.disabled td:not(:last-child) {
        opacity: 0.4;
      }

      //&.v-data-table__expanded__row td {
      //  border-bottom-left-radius: 0;
      //  border-bottom-right-radius: 0;
      //}
      //
      //&.v-data-table__expanded__content td {
      //  border-top-left-radius: 0;
      //  border-top-right-radius: 0;
      //}
    }

    &.v-data-table--dense {
      tbody tr {
        margin-bottom: 8px;

        td {
          height: 50px;
        }
      }
    }
  }

  // CARD
  .v-card {
    border-radius: 15px;

    &:not(.v-sheet--outlined) {
      box-shadow: $shadow-uniform;
    }

    .v-card-title {
      font-size: 1rem;
      font-weight: bold;

      &.highlight {
        background-color: $blue-ultra-light;
      }
    }

    &__actions .v-btn {
      padding: 0 20px;
    }
  }

  // AVATAR
  .v-avatar {
    &.outlined {
      border: 1px solid $color-black;
    }
  }

  // MENU
  .v-menu {
    &__content {
      box-shadow: $shadow-uniform;
      border-radius: 15px;

      .v-list {
        padding: 0;

        .v-list-item {
          cursor: pointer;

          &:hover {
            background-color: $grey-ultra-light;
          }

          &__title {
            line-height: 1.4;
          }
        }
      }
    }
  }

  // BADGE
  .v-badge {
    .v-badge__badge {
      line-height: 10px;
    }

    &.inverted {
      .v-badge__badge {
        color: $color-black;
        background-color: $color-white !important;
        border: 1px solid $color-black !important;
      }
    }

    &.standalone {
      margin-bottom: 10px;
    }

    &.dense {
      line-height: 10px;

      .v-badge__badge {
        height: 15px;
        padding: 2px 5px;
        font-size: 0.7rem
      }
    }
  }

  // LINK
  a {
    color: currentColor;
    text-decoration: none;
  }

  // CONTAINER
  .container {
    max-width: none;
  }

  .v-main .v-main__wrap>.container {
    max-width: 80%;
  }

  // PAGINATION
  // nav.v-pagination {
  //   display: flex;
  //   justify-content: right;

  //   ul.v-pagination__list {
  //     display: flex;
  //     justify-content: flex-end;

  //     li.v-pagination__prev,
  //     li.v-pagination__next,
  //     li.v-pagination__item {
  //       margin: 0;
  //       box-shadow: none;
  //       border: 1px solid $grey-ultra-light;
  //       border-radius: 0;
  //       min-width: 26px;
  //       width: 26px;
  //       height: 26px;

  //       & button {
  //         height: 26px;

  //         .v-btn__content {
  //           line-height: 22px;
  //         }
  //       }
  //     }

  //     li {
  //       &:first-child.v-pagination__prev {
  //         border-top-left-radius: 4px;
  //         border-bottom-left-radius: 4px;
  //         border-right-width: 0.5px;
  //       }

  //       &:last-child.v-pagination__next {
  //         border-top-right-radius: 4px;
  //         border-bottom-right-radius: 4px;
  //         border-left-width: 0.5px;
  //       }

  //       &.v-pagination__prev,
  //       &.v-pagination__next {
  //         width: 26px;

  //         .v-icon {
  //           font-size: 1rem;
  //         }
  //       }

  //       &.v-pagination__item {
  //         color: $color-black;
  //         border-right-width: 0.5px;
  //         border-left-width: 0.5px;
  //         font-size: 0.9rem;

  //         &--is-active {
  //           font-weight: bold;
  //           background: $color-primary;
  //         }
  //       }
  //     }
  //   }
  // }

  // CHIP
  .v-chip {
    height: 22px;
    font-size: 0.9rem;

    &.status-chip {
      width: 110px;
      display: flex;
      justify-content: center;
    }
  }

  // ICON
  .v-icon {
    color: inherit;
  }

  // NAVIGATION DRAWER
  .v-navigation-drawer,
  .v-overlay {
    z-index: 1006 !important;
    overflow: visible;
  }

  // Custom classes
  .uniform-elevation {
    box-shadow: $shadow-uniform;
  }

  .background-color-zone-a {
    background-color: $zone-a-color;
  }

  .background-color-zone-b {
    background-color: $zone-b-color;
  }

  .background-color-zone-c {
    background-color: $zone-c-color;
  }

  .background-color-zone-d {
    background-color: $zone-d-color;
  }

  .bgCivilRanks {
    background-color: #ffcaca;
  }

  .bgTroopRanks {
    background-color: #ffdfca;
  }

  .bgJuniorSubOfficers {
    background-color: #FFF1F2;
  }

  .bgSeniorSubOfficers {
    background-color: #F3E8FF;
  }

  .bgJuniorOfficers {
    background-color: #FEF3C7;
  }

  .bgSeniorOfficers {
    background-color: #BBF7D0;
  }

  .bgGeneralOfficers {
    background-color: #DBEAFE;
  }

  .bgStatusToSchedule {
    background-color: rgba(255, 134, 28, 0.7);
  }

  .bgStatusIncomplete {
    background-color: rgba(255, 183, 0, 0.7);
  }

  .bgStatusScheduled {
    background-color: #66c986;
  }

  .bgStatusLmc {
    background-color: #f970f3;
  }

  .bgStatusFinalized {
    background-color: #358f54;
  }

  .bgStatusLmc {
    background-color: #E590FF;
  }

  .bgStatusArchived {
    background-color: $grey-classic;
  }

  .color-error {
    color: $color-error;
  }

  .cursor-pointer {
    cursor: pointer;
  }
}

// TOASTER
.Vue-Toastification__container .Vue-Toastification__toast {
  font-family: $font-family;
  font-size: 0.9rem;
  box-shadow: $shadow-uniform;
  border-radius: 4px;

  &--info {
    background-color: $color-primary;
    color: $color-black;
  }
}

.required {
  fieldset {
    color: $color-primary;
  }

  label::after {
    content: " *";
  }
}

.v-overlay-container {
  .required {
    fieldset {
      color: $color-primary;
    }

    label::after {
      content: " *";
    }
  }
}

  // BUTTONS
  .v-btn {
    text-transform: none;
    transition: 0.3s all;
    letter-spacing: normal;
  }

  a.v-btn,
  button.v-btn {
    color: $color-black;

    &:before {
      background: none;
    }

    &.inverted {
      background-color: $color-black;
      color: $color-white !important;
    }

    &.flashy {
      background-color: $color-white;
      box-shadow: $shadow-uniform;

      &.active {
        background-color: $color-secondary;
        color: $color-white;
      }
    }

    &.action {
      background-color: #eeefef;
    }

    &:hover {
      opacity: 0.5;

      &.flashy {
        opacity: 1;
        background-color: $color-secondary;
        color: $color-white;
      }
    }

    &--disabled {
      &.inverted {
        opacity: 0.2;
        color: $color-white;

        .v-icon {
          color: currentColor;
        }
      }
    }

    &--tile {
      border-radius: 5px;
    }

    &--fab {
      .v-size--x-small {
        width: 24px;
        height: 24px;

        $icon-size: 16px;

        .v-icon {
          height: $icon-size;
          width: $icon-size;
          line-height: $icon-size;
          font-size: $icon-size;
        }
      }

      &.flashy {
        color: $grey-classic;
      }
    }
  }

  // BUTTONS TOGGLE
  .v-btn-toggle {
    background-color: $color-white;
    border-radius: 50px;

    .v-btn {
      background: transparent;
      border: none;
      border-radius: inherit;
      height: 36px;

      &:before {
        background-color: transparent;
      }
    }

    &.text-primary .v-btn--active {
      background: $color-primary;
      color: $color-black;
    }

    &.text-secondary .v-btn--active {
      background: $color-secondary;
      color: $color-white;
    }

    &:not(.single-button) {
      padding: 3px;
      border: 1px solid $color-black;

      &>.v-btn:not(:last-child) {
        margin-right: 5px;
      }

      .v-btn--active {
        box-shadow: $shadow-uniform;
      }
    }

    &.single-button {
      .v-btn {
        box-shadow: $shadow-uniform;
      }
    }
  }

  .v-btn-toggle > .v-btn.v-btn--active:not(.v-btn--disabled) > .v-btn__overlay {
    opacity: 0 !important;
  }

  .v-toolbar.footer-action-toolbar {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1004;
    box-shadow: $shadow-uniform;
  }